@charset "UTF-8";
.product__container {
  --grid-columns: var(--grid-columns-mobile, 2);
  --grid-gap: 2.6rem 1.6rem;
  display: grid;
  grid-template-columns: repeat(var(--grid-columns), minmax(0, 1fr));
  gap: var(--grid-gap);
}
@media screen and (min-width: 768px) {
  .product__container {
    --grid-columns: var(--grid-columns-desktop, 4);
    --grid-gap: 5rem 2rem;
  }
}
.product__container a:not(.c-button) {
  color: inherit;
  text-decoration: none;
}
.product__container .c-button {
  min-width: 0;
  width: 100%;
  padding-inline: 0;
}

.product-slider{
  padding-inline: 2.4rem;
  overflow: visible;
}

.product-slider .product-slider__pagination {
  margin: 4.2rem auto 0;
  position: relative;
  width: 20rem;
  height: 2px;
  background-color: #ddd;
}

.product-slider .product-slider__pagination .swiper-pagination-progressbar-fill{
  background-color: var(--color-primary);
}

.product-other-content-area{
  margin-top: 6rem;
  display: grid;
}

.product-section__container{
  overflow: hidden;
  padding-block: 6rem;
}

.product-section__container[data-has-bg]{
  background-color: var(--color-gray-100);
}

.product-section__heading{
  margin-bottom: 3.8rem;
  font-family: var(--font-en);
  font-size: 2.4rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0.1em;
  line-height: 1;
  text-transform: uppercase;
  text-align: center;
}

@media (min-width: 768px) {
  .product-other-content-area {
    margin-top: 8rem;
  }

  .product-section__container{
    padding-block: 8rem;
  }

  .product-section__heading{
    font-size: 2.8rem;
  }

  .product-slider{
    padding-inline: 5rem;
    width: min(120rem, 1200px);
  }

  .product-slider__pagination {
    margin: 5.5rem auto 0;
    width: 36rem;
  }
}

.product__item {
  width: 20rem;
}

[data-size="small"] .product__item {
  width: 12rem;
}

.product__item--image {
  position: relative;
  border-radius: 0.4rem;
  overflow: hidden;
}

.product__item--image :where(img) {
  transition: scale var(--transition-default);
  aspect-ratio: 1;
  object-fit: contain;
}

@media (hover: hover) {
  .product__item--image :where(img):hover{
    scale: 1.1;
  }
}

.product__item--new-icon{
  position: absolute;
  width: 4rem;
  height: 4rem;
  background-color: #b2806a;
  clip-path: polygon(0% 0%, 100% 0%, 0% 100%);
  z-index: 2;
  border-radius: 0.4rem 0 0 0;
}

.product__item--new-icon .text{
  display: block;
  font-family: var(--font-en);
  font-size: 0.9rem;
  font-weight: var(--fw-regular);
  rotate: -45deg;
  width: fit-content;
  position: absolute;
  top: 0.8rem;
  left: 0.4rem;
  color: var(--color-white);
  text-transform: uppercase;
}

.product__item--soldout {
  margin-top: 1rem;
}

.product__item--soldout-text {
  display: block;
  height: 1em;
  font-family: var(--font-en);
  font-size: 1.2rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0;
  line-height: 1;
  color: #B2806A;
  text-transform: uppercase;
}

.product__item--soldout + .product__item--price{
  margin-top: 1rem;
}

@media (min-width: 768px) {
  .product__item--soldout-text {
    font-size: 1.4rem;
  }
}

 .product__item--rank{
  margin-bottom: 1rem;
  width: 2.6rem;
  height: auto;
  display: grid;
  place-content: center;
  font-size: 1.2rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0;
  line-height: 1;
  aspect-ratio: 1;
  background-color: var(--color-primary);
  border-radius: 50%;
  color: var(--color-white);
}

.product__item--icon {
  display: flex;
  align-content: start;
  flex-wrap: wrap;
  margin-top: 1.2rem;
  margin-bottom: 1rem;
  position: static;
  gap: 0.5rem;
  height: 5rem;
  overflow: hidden;
}

.product__item--id {
  color: var(--color-gray-500);
  display: block;
  margin: 1rem 0 0.5rem;
}
.product__item--variationname {
  margin-top: 1rem;
}
.product__item--variationname:empty {
  display: none;
}

.product__item--name{
  margin-top: 0;
}

.product__item--name :where(a){
  margin-top: 0.4rem;
  display: block;
  height: calc(3em * 1.5714);
  font-size: 1.4rem;
  font-weight: var(--fw-regular);
  line-height: 1.5714;
  text-decoration: none;
}

.product__item--description {
  margin-top: 1rem;
}
.product__item--description:has(.product__item-text--description:empty) {
  display: none;
}
.product__item--price {
  margin-top: 1rem;
}
.product__item--text {
  margin-top: 0.8rem;
  font-size: 1.3rem;
}
.product__item--text dt {
  display: inline-block;
  margin-right: 0.6rem;
  color: var(--color-gray-500);
}
.product__item--text dd {
  display: inline-block;
}
.product__item--actions {
  display: grid;
  row-gap: 1rem;
  margin-top: 1.5rem;
}
.product__item--actions__inner {
  display: contents;
}
.product__item--actions .c-button {
  padding-block: 0.65rem;
}
.product__item-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  row-gap: 1rem;
  height: 100%;
}
.product__item-text--name {
  font-size: 1.4rem;
}
.product__item-text--description {
  color: var(--color-gray-500);
  font-size: 1.2rem;
  letter-spacing: 0.05em;
  line-height: 1.5;
}

/* .product__icon {
  background-color: var(--color-gray-500);
  color: var(--color-white);
  display: block;
  font-size: 1rem;
  line-height: 1;
  padding: 0.3rem 0.4rem;
} */
.product__icon{
  padding: 0.4rem 0.8rem 0.3rem;
  font-size: 1rem;
  height: fit-content;
  color: var(--color-text-default);
  background-color: var(--color-gray-100);
  border-radius: 0.2rem;
}

.product__item--review .revico-star-block--title{
  font-family: var(--font-en);
  margin-top: 0.4rem;
  font-size: 1.2rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0.06rem;
  color: #686868;
}

.product__item--review .revico-star-block--total{
  font-family: var(--font-en);
  font-size: 1.2rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0.06rem;
  color: #686868;
}

/* ===============================================
  * 価格表示のスタイル *
=============================================== */
.product__price:nth-of-type(n+2) {
  margin-top: 0.75rem;
}
.product__price--item {
  width: fit-content;
  display: flex;
  align-items: baseline;
  column-gap: 0;
}
.product__price--icon {
  align-self: center;
  border: 1px solid var(--color-black);
  border-radius: 0.4rem;
  font-size: 1rem;
  line-height: 1;
  padding: 0.3rem 0.4rem;
  margin-right: 0.5rem;
}
.product__price--numeric {
  display: block;
  font-family: var(--font-en);
  font-size: 1.2rem;
  font-weight: var(--fw-regular);
  letter-spacing: 0.05em;
}

.product__price--tax {
  display: flex;
  align-items: center;
  font-size: 1.2rem;
}
.product__price--tax::before {
  content: '(';
}
.product__price--tax::after {
  content: ')';
}

.product-ranking-area .product__price--tax::before,
.product-ranking-area .product__price--tax::after {
  display: none;
}

.product__price--prefix{
  font-size: 1.2rem;
}

.product__price--main{
  display: flex;
  align-items: baseline;
  position: relative;
}

.product__price--main::before{
  width: 100%;
  height: 1px;
  content: '';
  background-color: #bbb;
  position: absolute;
  top: 50%;
  left: 0;
  translate: 0 -50%;
}

.product__price--prefix{
  margin-right: 1em;
}

.product__price--label{
  display: inline-block;
  font-size: 1.2rem;
}

.product__price--sale .product__price--discount,
.product__price--special .product__price--discount{
  margin-top: 0.5rem;
}
.product-ranking-area .revico-read-more-review{
  display: none!important;
}

.product__price.product__price--memberrank .product__price__main::after {
  display: none;
}

@media (min-width: 768px) {
  .product__item--rank{
    margin-bottom: 1.2rem;
    width: 3rem;
    font-size: 1.4rem;
  }

  .product__item--new-icon{
    width: 4.582rem;
    height: 4.582rem;
  }

  .product__item--new-icon .text{
    font-size: 1rem;
    letter-spacing: 0.1rem;
    top: 0.8rem;
    left: 0.2rem;
  }

  .product__item--icon{
    height: 5.8rem;
  }

  .product__icon{
    padding: 0.4rem 0.6rem 0.3rem;
    font-size: 1.2rem;
  }

  .product__item--name {
    margin-top: 0.7rem;
  }

  .product__item--name :where(a){
    font-size: 1.5rem;
    display: block;
    height: calc(3em * 1.4667);
    line-height: 1.4667;
  }

  .product__item--price {
    margin-top: 1.2rem;
  }

  .product__price--prefix,
  .product__price--numeric,
  .product__price--tax{
    font-size: 1.4rem;
  }

  .product__price--label{
    font-size: 1.4rem;
  }
    
}

.product__price--discountrate:not(:empty) {
  align-self: center;
  background-color: var(--color-emphasis);
  color: var(--color-white);
  font-size: 1rem;
  letter-spacing: 0.05em;
  line-height: 1;
  padding: 0.3rem 0.4rem;
}
.product__price--proper {
  color: var(--color-gray-400);
  position: relative;
}
.product__price--proper .product__price__main::after {
width: 100%;
    height: 1px;
    background-color: #686868;
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    z-index: 2;
}

.product__price__main {
  position: relative;
  display: flex;
  align-items: baseline;
}

.product__price--discount {
  /* color: var(--color-emphasis); */
}

.product__price--item:has(.product__price--label){
  gap: 1ch;
}

.product__price--proper{
  gap: .5ch;
}

/* ===============================================
  * ProductVariation.aspx のスタイル *
=============================================== */
@media screen and (min-width: 768px) {
  .product__closed-market-wrapper {
    width: min(80%, 50rem);
    margin: auto;
  }
}
.product__closed-market-content {
  display: grid;
  row-gap: 2rem;
}
.product__closed-market-input-content {
  display: grid;
  row-gap: 0.5rem;
}
